commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Simon Kitching <skitch...@apache.org>
Subject RE: [logging] release status
Date Fri, 20 Jan 2006 10:18:17 GMT
On Fri, 2006-01-20 at 10:58 +0100, Jörg Schaible wrote:
> > Manifest-Version: 1.0
> > Ant-Version: Apache Ant 1.6.5
> > Created-By: 1.5.0_04-b05 (Sun Microsystems Inc.)
> > Extension-Name: org.apache.commons.logging
> > Specification-Vendor: Apache Software Foundation
> > Specification-Version: 1.0
> > Implementation-Vendor: Apache Software Foundation
> > Implementation-Version: 1.1
> > 
> > 
> > Do you know if there's anything extra needed?
> 
> Well, it just claims, that 1.1 is still compatible to 1.0 regarding API and spec
>  Cannot say, if this is really true, you're the expert here :) Possibly a clirr
> report against JCL-1.0 will tell. Otherwise it looks good. 

Clirr report has been done, and (apart from removal of two deprecated
classes) all is ok. There's a few minor differences, but I think we can
claim 1.0 compatibility in general.

> You might add an
> (optional) Specification-Title though:
> 
> Specification-Title: "Jakarta Commons Logging"

Ok, I'll do that. I did go and read the reference docs, though, and
"Implementation-Vendor-Id" was the one I was trying to remember - so
I've added that too.

> BTW: Can you still use the resulting jar with 1.3? Just because it was build with 1.5
...

Yep. Built with target=1.1

The full release needs to be built with at least java1.4, in order to
build the java.util.logging adapter. 

Regards,

Simon


---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message